#include <iostream>
using namespace std;

int main()
{
	long long NaDesno, naDole;
	cin >> NaDesno >> naDole;

	long long output = 0ll;

	long long frame = (2ll * naDole + 2ll * NaDesno) - 4ll;
	long long middle = naDole * NaDesno - frame;

	output = frame + (middle / 2ll);

	cout << output;
	return 0;
}